> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Enterprise Playbook

> Delete an enterprise playbook by ID

Requires an enterprise admin personal API key.

Delete a playbook. Only the playbook owner or enterprise admins can delete a playbook.


## OpenAPI

````yaml /v2-openapi.yaml DELETE /v2/enterprise/playbooks/{playbook_id}
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/playbooks/{playbook_id}:
    delete:
      tags:
        - playbooks
      summary: Delete Enterprise Playbook
      description: Delete an enterprise playbook.
      operationId: delete_enterprise_playbook_v2_enterprise_playbooks__playbook_id__delete
      parameters:
        - in: path
          name: playbook_id
          required: true
          schema:
            title: Playbook Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````